%
% FUNCTION 7.9 : "cp0703_get_alpha_value"
%
% This function is used to select the set of alpha values
% for each of the first 15 derivatives of the Gaaussian
% pulse
%
% The function receives as input the index 'i' indicating
% which setting must be adopted for the shape factors of
% the derivatives
%
% The function returns a vector of 15 elements
% corresponding to the value of the shape factor for each
% of the derivatives
%
% Programmed by Luca De Nardis

function alphavector = cp0703_get_alpha_value(i)
switch (i)
    case 1
        % vector characterized by a constant value of alpha for all derivatives 
        alphavector = [0.714e-9 0.714e-9 0.714e-9 0.714e-9 0.714e-9 0.714e-9 0.714e-9 0.714e-9 0.714e-9 0.714e-9 0.714e-9 0.714e-9 0.714e-9 0.714e-9 0.714e-9];
        
    case 2
        % vector characterized by a high value of alpha for the first derivative and a small value for derivatives 2-15 
        alphavector = [1.5e-9 0.314e-9 0.314e-9 0.314e-9 0.314e-9 0.314e-9 0.314e-9 0.314e-9 0.314e-9 0.314e-9 0.314e-9 0.314e-9 0.314e-9 0.314e-9 0.314e-9];
end
