%
% FUNCTION 8.6 : "cp0801_PAMcorrmask"
%
% Evaluates the correlation mask ('mask') for
% receiving 2PAM UWB signals.
% 'ref' is the reference signal (with no modulation)
% which is produced by the 2PAM+DS transmitter
% 'fc' is the sampling frequency
% 'numpulses' is the number of transmitted pulses
%
% Programmed by Guerino Giancola
%

function [mask] = cp0801_PAMcorrmask(ref,fc,numpulses)

% ---------------------------------------------
% Step One - Evaluation of the correlation mask
% ---------------------------------------------

dt = 1 / fc;

% Energy normalization
Epulse = (sum((ref.^2).*dt))/numpulses;
ref = ref./sqrt(Epulse);

% Mask construction
mask = ref;
